#
# spec file for package ocaml-type-conv
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ocaml-type-conv
Version:        113.00.02
Release:        1.1
%{ocaml_preserve_bytecode}
Summary:        Generate OCaml modules
License:        Apache-2.0
Group:          Development/Libraries/Other

Url:            https://github.com/janestreet/type_conv
Source0:        type_conv-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# ocaml autodep start for pkg: ocaml-type-conv
# hardcoded rpm dependency for pre 12.1 to compensate for lack of ocaml() provides/requires
%if 0%{?suse_version} < 1210
Requires:       ocaml-camlp4 ocaml-compiler-libs ocaml-runtime
%endif
# ocaml autodep end for pkg: ocaml-type-conv

BuildRequires:  ocaml
BuildRequires:  ocamlfind(camlp4.extend)
BuildRequires:  ocamlfind(camlp4.quotations)
BuildRequires:  ocamlfind(findlib)
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-rpm-macros >= 4.03

%description
Generate OCaml modules from source files

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.
%prep
%setup -n type_conv-%{version}

%build
%ocaml_oasis_configure --enable-docs --enable-tests
%ocaml_oasis_build
%ocaml_oasis_doc

%install
%ocaml_oasis_findlib_install

%files
%defattr(-,root,root,-)
%doc COPYRIGHT.txt LICENSE-Tywith.txt LICENSE.txt
%dir %{_libdir}/ocaml
%dir %{_libdir}/ocaml/*
%if %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.cmxs
%endif

%files devel
%defattr(-,root,root,-)
%dir %{_libdir}/ocaml
%dir %{_libdir}/ocaml/*
%if %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmx
%{_libdir}/ocaml/*/*.cmxa
%endif
%{_libdir}/ocaml/*/*.annot
%{_libdir}/ocaml/*/*.cma
%{_libdir}/ocaml/*/*.cmi
%{_libdir}/ocaml/*/*.cmt
%{_libdir}/ocaml/*/*.cmti
%{_libdir}/ocaml/*/*.mli
%{_libdir}/ocaml/*/META

%changelog
* Thu May 19 2016 ohering@suse.de
- update to 113.00.02 (fate#320836)
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Wed Sep 16 2015 ohering@suse.de
- update to 113.00.00
* Wed Oct  8 2014 ohering@suse.de
- update to 112.01.00
* Mon Jun  3 2013 ohering@suse.de
- Recompress with xz
* Fri May 31 2013 ohering@suse.de
- initial version type_conv-109.20.00
